﻿<%--By defining the model type here, it is accessed in the View using the Model property--%>

<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<igGridUpdating_UpdateUrl.Models.DataModel>" %>

<%--Reference the Infragistics ASP.NET MVC Helpers Assembly--%>
<%@ Import Namespace="Infragistics.Web.Mvc" %>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
    <!-- These styles aren't required but provide better 
    styling for labels on the running sample -->
    <style>
        BODY
        {
            font: 1em "Segoe UI" ,Helvetica,Tahoma,Arial,Verdana,sans-serif;
        }
        H2
        {
            margin: 40px 0 0 0;
        }
        H3
        {
            margin: 10px 0 0 0;
        }
    </style>
    <!-- Required JavaScript Files for using Infragistics jQuery UI-based 
    widgets with the Infragistics Loader -->
    <script src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.7.2.js"></script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.8.21/jquery-ui.js"></script>
    <script src="http://cdn-na.infragistics.com/jquery/20131/latest/js/infragistics.loader.js"></script>
</head>
<body>
    <h1>
        Infragistics Starter Web Application</h1>
    <!-- The Infragistics Loader is used to load required Infragistics JavaScript 
    and CSS resources on the rendered page. Using ths helper, it is required to 
    supply the loader with a path to the Infragistics JavaScript files and a path to 
    the CSS files. 
    
    The loader dynamically determines which required scripts and CSS
    must be referenced based off of the Infragistics components used in this View.
    The loader itself requires one JavaScript reference defined above. -->
    <%= Html.Infragistics().Loader()
        .ScriptPath("http://cdn-na.infragistics.com/jquery/20131/latest/js")
        .CssPath("http://cdn-na.infragistics.com/jquery/20131/latest/css")
        .Render()
    %>
    <!-- All of the Infragistics ASP.NET MVC helpers use a chaining
    API pattern. The helpers require that Render() be the last method 
    called. This method renders all of the HTML and JavaScript for 
    the jQuery UI widget on the page-->
    <script type="text/javascript">

        $(document).ready(function () {


            $("#saveBtn").click(function () {
                $("#teamSubjectGrid").data("igGrid").dataSource._addChangesSuccessHandler(changesSuccess);
                var currentTeamIdString = "teamID";
                var teamName = "teamName";
                var webMethod = new String('/Home/UpdateTeamName');
                var parameters = "{'teamId':'" + currentTeamIdString + "', 'teamName':'" + escape(teamName) + "'}";

                $.ajax(
			{
			    type: 'Post',
			    url: webMethod,
			    data: parameters,
			    contentType: "application/json; charset=utf-8",
			    dataType: "json",
			    success: function (msg) {

			        alert("call save Changes");
			        $("#teamSubjectGrid").igGrid("saveChanges");
			      

			    },
			    error: function (e) {
			        alert("Sorry there was a problem saving your changes.  Please try again.");
			    }
			});
            });

});
function changesSuccess() {
 
    alert("changes success");
    window.location = "";
}
       
    </script>
    <h2>
        Grid</h2>
    <%= Html.Infragistics().Grid(Model.list.AsQueryable())
				.ID("teamSubjectGrid")
				.RenderCheckboxes(true)
				.PrimaryKey("SubjectId")
				.UpdateUrl(Url.Action("SaveTeamData"))
				.Columns(column =>
		{
			column.For(x => x.SubjectId).HeaderText("").Width("20px").Hidden(true);
			column.For(x => x.SubjectName).HeaderText("Name").Width("250px");
			column.For(x => x.SubjectTag).HeaderText("Id").Width("200px");
			column.For(x => x.fTeamMember).HeaderText("Member").Width("100px").DataType("bool"); ;
		}).Features(features =>
		{
			features.Paging().Type(OpType.Local).PageSize(10);
			features.Selection().Mode(SelectionMode.Row).MultipleSelection(false);
			features.Filtering().Type(OpType.Local);
			features.Updating().EnableAddRow(false).EditMode(GridEditMode.Row).EnableDeleteRow(false).ColumnSettings(columnSettings =>
				{
					columnSettings.ColumnSetting().ColumnKey("SubjectId").ReadOnly(true);
					columnSettings.ColumnSetting().ColumnKey("SubjectName").ReadOnly(true);
					columnSettings.ColumnSetting().ColumnKey("SubjectTag").ReadOnly(true);
					columnSettings.ColumnSetting().ColumnKey("fTeamMember");
				});
		})
			.Height("500px")
			.DataSource(Model.list.AsQueryable())
			.DataBind().Render()%>
    <button id="saveBtn">
        Save</button>
</body>
</html>
